Subject: bug#24640: Crashes in 25.1

From: Reuben Thomas <[email-masked]>
Date: Sun, 9 Oct 2016 21:21:01 +0100

On 9 October 2016 at 10:57, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Sun, 9 Oct 2016 08:45:08 +0100
> > Cc: [email-masked]
> >
> >  The only efficient way to speed up debugging (or rather to make sure
> >  it succeeds at all) is for you to come up with a reproducible recipe
> >  and post here all the files needed for reproducing the crashes.
> >
> > ​That would seem to require me to bisect my .desktop and potentially
> post dozens of personal files, so doesn't
> > seem feasible.​
>
> If you just start a fresh session, save its desktop, then restart it,
> while using the lazy-load feature, does it start normally?  Maybe all
> that's needed is to do this, with no personal files involved.
>

​It starts normally, unfortunately.
​​

> >  And the first step is
> >  to stop using an optimized build, because it makes debugging much
> >  harder if not impossible.
> >
> > I'll see if, having rebuilt from source without optimisation, the bug
> still fires.​
>

​I rebuilt with the options suggested in etc/DEBUG, and couldn't get it to
crash.
​ I then tried building with -Og instead of -O0, as suggested in etc/DEBUG.
Still no crash. (I ran each binary under gdb 3 times, as when it crashes it
crashes more than once every 3 times I run it.) I tried building with -O2:
it crashes again. Now that it is built with the same options as etc/DEBUG,
except for -O2, is that more useful?

​I tried running Emacs with valgrind, but that just quickly bails out with
"memory exhausted".

>  If you are willing to try the debugging yourself, there's some advice
> >  in etc/DEBUG (search for "Debugging problems which happen in GC").
> >
> > ​I'll have a look.​
>
> Thanks.
>

​Sorry: having had a look, the reconstruction of Lisp data structures looks
like more than I have time for at present.

> >  Do I understand correctly that this worked for you with Emacs 24.5?
> >
> > ​Yes, the identical setup loads fine in 24.5. I've never seen this sort
> of crash before.​
>
> Does Emacs crash when restoring a desktop file written by Emacs 24.5,
> or only when it restores files written by Emacs 25?
>

​Both.

-- 
http://rrt.sc3d.org